oggz-diff(1)

NAME
oggz-diff — Hexdump the packets of two Ogg files and output differences

SYNOPSIS

oggz-diff [options] [OGGZDUMP_OPTIONS] [DIFF_OPTIONS] file1.ogg file2.ogg

options: [--verbose ] [-v | --version ] [-h | --help ]

OGGZDUMP_OPTIONS: [-b | --binary ] [-x | --hexadecimal ] [-c content-type | --content-type content-type ] [-s serialno | --serialno serialno ] [-O | --hide-offset ] [-S | --hide-serialno ] [-G | --hide-granulepos ] [-P | --hide-packetno ]

DIFF_OPTIONS: [-q | --brief ] [-C NUM | --context[=NUM] ] [-u | -U NUM | --unified[=NUM] ] [-e | --ed ] [--normal ] [--rcs ] [-y | --side-by-side ] [-l | --paginate ]

Description

oggz-diff is a sh script which uses oggz-dump to generate hexadecimal packet dumps of each input file, then outputs the difference between these dumps using diff.

Options

oggz-diff forwards a subset of options accepted by oggz-dump and diff. See oggz-dump(1) and diff(1) for more detail.

  oggz-dump format options

-b, --binary
    Generate a binary dump of each packet

-x, --hexadeciaml
    Generate a hexadecimal dump of each packet

  oggz-dump filtering options

-c content-type, --content-type content-type
    Dump only the logical bitstreams for a specific content-type. Run oggz-known-codecs(1) for a full list of codecs known by the installed version of oggz.

-s serialno, --serialno serialno
    Dump only the logical bitstream with specified serialno.

-O, --hide-offset
    Hide the byte offset field of the preamble for each packet dumped. This is particularly useful when comparing Ogg bitstreams that differ only in page structure.

-S, --hide-serialno
    Hide the serialno field of the preamble for each packet dumped. This is particularly useful when comparing Ogg bitstreams that differ only in serialno assignment.

-G, --hide-granulepos
    Hide the granulepos field of the preamble for each packet dumped.

-P, --hide-packetno
    Hide the packetno field of the preamble for each packet dumped.

  diff options

The -w (--ignore-all-space) option to diff     is always implied.

-q, --brief
    Output only whether files differ.

-C NUM, --context[=NUM]
    Output NUM lines of copied context.

-u, -U NUM, --unified[=NUM]
    Output NUM (default 3) lines of unified context.

-e, --ed
    Output an ed script.

--normal
    Output a normal diff.

--rcs
    Output an RCS format diff.

-y, --side-by-side
    Output in two columns.

-l, --paginate
    Pass the output through pr to paginate it.

  Miscellaneous options

--verbose
    Display verbose messages.

-v, --version
    Display version information and exit.

-h, --help
    Display usage information and exit.

AUTHOR

Conrad Parker

COPYRIGHT

Copyright © 2003 CSIRO Australia

SEE ALSO

oggz-dump(1), diff(1), patch(1)